Package ch.qos.logback.core.recovery

## Class ResilientOutputStreamBase

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.recovery.ResilientOutputStreamBase

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

Direct Known Subclasses:
  `ResilientFileOutputStream`, `ResilientSyslogOutputStream`

    public abstract class ResilientOutputStreamBase
    extends java.io.OutputStream

### Field Summary

Fields
`protected java.io.OutputStream` `os`
`protected boolean` `presumedClean`

### Constructor Summary

Constructors
`ResilientOutputStreamBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatus​(Status status)`
`void` `close()`
`void` `flush()`
`Context` `getContext()`
`void` `postIOFailure​(java.io.IOException e)`
`void` `setContext​(Context context)`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### os

    protected java.io.OutputStream os

#### presumedClean

    protected boolean presumedClean

### Constructor Detail

#### ResilientOutputStreamBase

    public ResilientOutputStreamBase()

### Method Detail

#### write

    public void write​(byte[] b,
                      int off,
                      int len)

Overrides:
  `write` in class `java.io.OutputStream`

#### write

    public void write​(int b)

Specified by:
  `write` in class `java.io.OutputStream`

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`

#### postIOFailure

    public void postIOFailure​(java.io.IOException e)

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### addStatus

    public void addStatus​(Status status)

#### getContext

    public Context getContext()

#### setContext

    public void setContext​(Context context)